Subject: Re: bug#52587: 29.0.50; Wrong block header/footer background in Org

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 19 Dec 2021 12:32:55 +0100

Rudolf Adamkovič <[email-masked]> writes:

> I keep seeing buggy drawing in Org with Modus Themes.
>
> Reproduction steps:
>
> 1. run 'emacs -Q'
> 2. type 'M-x load-theme'
> 3. type 'modus-operandi'
> 4. type 'C-x C-f'
> 5. type 'test.org'
> 6. type:
>
> * foo
>
> #+begin_quote
> bar
> #+end_quote
>
> * baz
>
> 7. move point to 'foo'
> 8. type 'TAB'
>
> Expected: headings with default (white) background
>
> Actual: one heading has buggy (partially gray) background

After following this recipe on the current trunk, I get:

So I seem to be unable to reproduce the problem (on Debian/bookworm).
Are there any additional steps needed?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no